/////////////////////////////////////////////////////////////////////////////
//          INTEL CORPORATION PROPRIETARY INFORMATION   
//  This software is supplied under the terms of a license agreement or 
//  nondisclosure agreement with Intel Corporation and may not be copied
//  or disclosed except in accordance with the terms of that agreement.
//      Copyright (c) 2000 Intel Corporation. All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Count-internal_h.uc
//
#include "Utils_h.uc"
; Since we just have one counter per port
; and counts can fit within one 32-bit counter so we can get rid of an ALU operation
#macro Count_IncrementPacketCounter(in_stats_addr)
.local index port
	DL_GetInputPort(port)
	scratch[incr, --, in_stats_addr, port, 1]
	
.endlocal
#endm